Arch: Piano

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Floor and the translation is 44% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎português • ‎русский • ‎svenska • ‎Türkçe • ‎українська
Arrow-left.svg Arch Rebar.svg Rebar Previous:

Arch Floor.svg Piano

Posizione nel menu
Arch → Piano
Ambiente
Architettura
Avvio veloce
F L
Introdotto nella versione
-
Vedere anche
Edificio, Sito


Descrizione

Il Piano del modulo Arch è un gruppo speciale di oggetti di FreeCAD che possiede alcune proprietà aggiuntive particolarmente utili nella costruzione dei piani. In particolare, possiede la proprietà di altezza, che i suoi oggetti figli, i muri (muri e le strutture), possono utilizzare per impostare automaticamente la loro altezza. I piani sono prevalentemente utilizzati per organizzare il modello.

Utilizzo

  1. Selezionare uno o più oggetti da includere nel nuovo piano
  2. Premere il pulsante Arch Floor.png Piano, oppure premere i tasti F e L

Opzioni

  • Dopo aver creato un piano, è possibile aggiungere ad esso altri oggetti con il drag-and-drop nella struttura ad albero o utilizzando lo strumento Arch Add.png Aggiungi
  • È possibile rimuovere gli oggetti da un piano trascinandoli fuori con il drag-and-drop nella vista ad albero o utilizzando lo strumento Arch Remove.png Rimuovi

Proprietà

  • DatiHeight: L'altezza del piano, per essere utilizzata dai suoi oggetti figlio

Script

Lo strumento Piano può essere utilizzato nelle macro e dalla console python utilizzando la seguente funzione:

Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
Crea un Piano che include gli oggetti della lista fornita

Esempio:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Floor = Arch.makeFloor([Wall1, Wall2])

Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()